Skip to main content
GET
Get songs

Query Parameters

limit
integer

The maximum number of songs to return

Required range: x >= 1
offset
integer

The offset for pagination

Required range: x >= 0
genre
string

The genre to filter artists by

mbid
string

Filter songs by MusicBrainz ID

isrc
string

Filter songs by International Standard Recording Code (ISRC)

spotifyId
string

Filter songs by Spotify track ID (resolved internally to the Spotify track URL)

filter
string

RSQL filter expression, e.g. artist=="Daft Punk";duration=gt=200000. Supports ==, !=, <, <=, >, >=, =in=, =out=, and ;/and, ,/or combinators, * wildcards in string values. Filterable fields: title, artist, album, albumArtist, genre, composer, label, duration, trackNumber, discNumber, mbId, isrc, sha256, uri, albumUri, artistUri, createdAt

Maximum string length: 2048

Response

Success

tracks
object[]